// mod accounts;
pub mod dto;
mod filter;
mod handler;
mod routes;
mod util;
mod validators;

use super::utils::structs::Context;
use crate::utils::rejection_handler::handle_rejection;
use tokio::runtime;
use warp::Filter;

pub fn start(context: Context) {
    let rt = runtime::Runtime::new().unwrap();
    rt.block_on(async {
        log::info!("Starting NIP-05 on http://0.0.0.0:8085");
        let routes = routes::routes(context).recover(handle_rejection);

        warp::serve(routes).run(([0, 0, 0, 0], 8085)).await;
    })
}
